# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Config:
  - name: create_nfo_mode
    category: XC\NotFinishedOrders
    type: XC\NotFinishedOrders\View\FormField\Select\CreateNFOMode
    value: onFailure
    orderby: 5
    translations:
      - {code: en, option_name: 'Not finished order will be created'}
      - {code: ru, option_name: 'Создавать незавершенный заказ'}
    module: XC\NotFinishedOrders
  - name: clear_cart_on_order_change
    category: XC\NotFinishedOrders
    type: XLite\View\FormField\Select\YesNo
    value: 'Y'
    orderby: 10
    translations:
      - {code: en, option_name: 'Clear cart if administrator changes order'}
      - {code: ru, option_name: 'Очищать корзину при изменении заказа администратором'}
    module: XC\NotFinishedOrders
  - name: limit_nf_order_ttl
    category: XC\NotFinishedOrders
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    value: true
    orderby: 20
    translations:
      - {code: en, option_name: 'Limit lifetime of not finished order'}
      - {code: ru, option_name: 'Ограничить срок действия незавершенного заказа'}
    module: XC\NotFinishedOrders
  - name: nf_order_ttl
    category: XC\NotFinishedOrders
    type: XLite\View\FormField\Input\Text\Integer
    orderby: 30
    value: 30
    translations:
      - {code: en, option_name: 'Time to use the order for future attempts (days)', option_comment: '0 means that every failed attempt will be recorded as individual not finished order and its data will not be used in the next attempts.'}
      - {code: ru, option_name: 'Срок действия незавершенного заказа (в днях)', option_comment: 'Если задать срок равным 0 (нулю), то каждая неудачная попытка оплаты будет создавать отдельный незавершенный заказ, и данные этого заказа не будут внесены в будущие попытки.'}
    module: XC\NotFinishedOrders
XLite\Model\Order\Status\Shipping:
  - code: NF
    position: 100
    translations:
      - {code: en, name: 'Not Finished', customerName: 'Not finished'}
      - {code: ru, name: 'Не завершен', customerName: 'Не завершен'}
XLite\Model\Order\Status\Property:
  - paymentStatus:
      code: A
    shippingStatus:
      code: NF
    incStock: true
  - paymentStatus:
      code: PP
    shippingStatus:
      code: NF
    incStock: true
  - paymentStatus:
      code: P
    shippingStatus:
      code: NF
    incStock: true
  - paymentStatus:
      code: D
    shippingStatus:
      code: NF
    incStock: true
  - paymentStatus:
      code: C
    shippingStatus:
      code: NF
    incStock: true
  - paymentStatus:
      code: Q
    shippingStatus:
      code: NF
    incStock: true
  - paymentStatus:
      code: R
    shippingStatus:
      code: NF
    incStock: true
XLite\Model\SearchFilter:
  - filterKey: search-filter-order_list
    translations:
      - {code: en, name: 'Not finished'}
      - {code: ru, name: Незавершенные}
      - {code: es, name: 'Sin terminar'}
    parameters:
      paymentStatus: {}
      shippingStatus: [NF]
XLite\Model\LanguageLabel:
  - name: 'Not finished order'
    translations:
      - {code: en, label: 'Not finished order'}
      - {code: ru, label: 'Незавершенный заказ'}
  - name: 'not finished'
    translations:
      - {code: en, label: 'not finished'}
      - {code: ru, label: 'не завершен'}
  - name: 'by payment callback (Failed + Cancel)'
    translations:
      - {code: en, label: 'in case of failed or cancelled payment'}
      - {code: ru, label: 'В случае неудачной оплаты'}
  - name: 'by pressing Place order button'
    translations:
      - {code: en, label: 'before payment'}
      - {code: ru, label: 'до оплаты'}
  - name: 'Export of Not Finished orders is not supported. To export the orders which are now in this state, change their fulfillment status from Not Finished to any other.'
    translations:
      - {code: en, label: 'Export of Not Finished orders is not supported. To export the orders which are now in this state, change their fulfillment status from Not Finished to any other.'}
      - {code: ru, label: 'Экспорт незавершённых заказов не поддерживается. Для экспорта имеющихся заказов в данном статусе необходимо изменить их статус доставки с ''Не завершен'' на любой другой.'}
  - name: 'Not Finished orders were skipped during the export process. If you wish to export the orders which are now in this state, change their fulfillment status from Not Finished to any other.'
    translations:
      - {code: en, label: 'Not Finished orders were skipped during the export process. If you wish to export the orders which are now in this state, change their fulfillment status from Not Finished to any other.'}
      - {code: ru, label: 'Незавершенные заказы были пропущены в процессе экспорта. Для экспорта заказов данного типа измените их статус доставки c ''Не завершен'' на любой другой.'}
  - name: 'You can find the failed order here'
    translations:
      - {code: en, label: 'You can find more information <a href="{{url}}">here</a>'}
      - {code: ru, label: 'Вы можете найти незавершенный заказ <a href="{{url}}">здесь</a>'}
  - name: 'Not finished orders are skipped during the export process. Change the fulfillment status of these orders to make it exported.'
    translations:
      - {code: en, label: 'Not finished orders are skipped during the export process. Change the fulfillment status of these orders to make it exported.'}
